#ifndef TOHU_H
#define TOHU_H

#include <stdint.h>

#include "types.h"

extern void focus_next(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void focus_prev(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void kill_sel(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void fullscreen(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void mouse_move(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void mouse_resize(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void new_screen(struct swc_screen* scr);
extern void new_window(struct swc_window* win);
extern void new_device(struct libinput_device* dev);
extern void quit(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void spawn(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void workspace_goto(void* data, uint32_t time, uint32_t value, uint32_t state);
extern void workspace_moveto(void* data, uint32_t time, uint32_t value, uint32_t state);
extern struct wm wm;

#endif /* YAWC_H */
